Create a new container
curl --request POST \
--url https://api.bold-factory.com/v1/warehouse/containers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationReference": "<string>",
"typeReference": "<string>",
"initialContent": [
{
"skuReference": "<string>",
"lotId": "<string>",
"quantity": 123
}
],
"relatedId": "<string>",
"code": "<string>",
"externalReference": "<string>"
}
'import requests
url = "https://api.bold-factory.com/v1/warehouse/containers"
payload = {
"locationReference": "<string>",
"typeReference": "<string>",
"initialContent": [
{
"skuReference": "<string>",
"lotId": "<string>",
"quantity": 123
}
],
"relatedId": "<string>",
"code": "<string>",
"externalReference": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationReference: '<string>',
typeReference: '<string>',
initialContent: [{skuReference: '<string>', lotId: '<string>', quantity: 123}],
relatedId: '<string>',
code: '<string>',
externalReference: '<string>'
})
};
fetch('https://api.bold-factory.com/v1/warehouse/containers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"typeId": "<string>",
"typeName": "<string>",
"widthMm": 123,
"heightMm": 123,
"lengthMm": 123,
"relatedId": "<string>",
"activeMovementId": "<string>",
"contentCount": 123,
"locationId": "<string>",
"location": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"contents": [
{
"containerId": "<string>",
"skuId": "<string>",
"sku": {
"id": "<string>",
"code": "<string>",
"externalReference": "<string>",
"name": "<string>",
"managesLots": true,
"stock": 123,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"lotId": "<string>",
"lot": {
"type": "Merged",
"firstLotId": "<string>",
"firstQuantity": 123,
"secondLotId": "<string>",
"secondQuantity": 123,
"id": "<string>",
"skuId": "<string>",
"sku": {
"id": "<string>",
"code": "<string>",
"externalReference": "<string>",
"name": "<string>",
"managesLots": true,
"stock": 123,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"code": "<string>",
"stock": 123,
"costPerUnit": {
"amount": 123,
"currency": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"quantity": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "CANNOT_MODIFY_CANCELLED_LINE"
}Containers
Create a new container
Requires Warehouse.Container.Write permissions
POST
/
v1
/
warehouse
/
containers
Create a new container
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Cuerpo
application/json
Respuesta
Created
Opciones disponibles:
Active, Inactive Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I